org.eclipse.graphiti.ui.internal.figures

## Class GFText

- java.lang.Object
- - org.eclipse.draw2d.Figure
  - - org.eclipse.draw2d.Label
    - - org.eclipse.graphiti.ui.internal.figures.GFText

All Implemented Interfaces:
  org.eclipse.draw2d.IFigure, org.eclipse.draw2d.PositionConstants, org.eclipse.draw2d.RotatableDecoration

    public class GFText
    extends org.eclipse.draw2d.Label
    implements org.eclipse.draw2d.RotatableDecoration

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`org.eclipse.draw2d.Figure.FigureIterator`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`org.eclipse.draw2d.IFigure.NoInsets`

### Field Summary

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

### Fields inherited from interface org.eclipse.draw2d.PositionConstants

`ALWAYS_LEFT, ALWAYS_RIGHT, BOTTOM, CENTER, EAST, EAST_WEST, HORIZONTAL, LEFT, LEFT_CENTER_RIGHT, MIDDLE, NONE, NORTH, NORTH_EAST, NORTH_SOUTH, NORTH_WEST, NSEW, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TOP_MIDDLE_BOTTOM, VERTICAL, WEST`

### Constructor Summary

Constructors
Constructor and Description
`GFText(IPictogramElementDelegate pictogramElementDelegate, Text text)`

### Method Summary

All Methods Instance Methods Concrete Methods
`GraphicsAlgorithm` `getGraphicsAlgorithm()`
`int` `getLabelAlignment()`
`java.lang.String` `getSubStringText()`
`void` `invalidate()`
`void` `paintFigure(org.eclipse.draw2d.Graphics graphics)`
`void` `setLabelAlignment(int align)`
`void` `setReferencePoint(org.eclipse.draw2d.geometry.Point p)`

### Methods inherited from class org.eclipse.draw2d.Label

`getIcon, getIconAlignment, getIconBounds, getIconTextGap, getMinimumSize, getPreferredSize, getText, getTextAlignment, getTextBounds, getTextPlacement, getTextUtilities, isTextTruncated, setIcon, setIconAlignment, setIconDimension, setIconTextGap, setText, setTextAlignment, setTextPlacement`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getParent, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.draw2d.RotatableDecoration

`setLocation`

### Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

### Constructor Detail

#### GFText

    public GFText(IPictogramElementDelegate pictogramElementDelegate,
                  Text text)

### Method Detail

#### getLabelAlignment

    public int getLabelAlignment()

Overrides:
  `getLabelAlignment` in class `org.eclipse.draw2d.Label`

#### paintFigure

    public void paintFigure(org.eclipse.draw2d.Graphics graphics)

Overrides:
  `paintFigure` in class `org.eclipse.draw2d.Label`

#### setLabelAlignment

    public void setLabelAlignment(int align)

Overrides:
  `setLabelAlignment` in class `org.eclipse.draw2d.Label`

#### getSubStringText

    public java.lang.String getSubStringText()

Overrides:
  `getSubStringText` in class `org.eclipse.draw2d.Label`

#### invalidate

    public void invalidate()

Specified by:
  `invalidate` in interface `org.eclipse.draw2d.IFigure`
Overrides:
  `invalidate` in class `org.eclipse.draw2d.Label`

#### setReferencePoint

    public void setReferencePoint(org.eclipse.draw2d.geometry.Point p)

Specified by:
  `setReferencePoint` in interface `org.eclipse.draw2d.RotatableDecoration`

#### getGraphicsAlgorithm

    public GraphicsAlgorithm getGraphicsAlgorithm()